#ifndef QUERYFIELDBASE_H
#define QUERYFIELDBASE_H

#include <klocale.h>
#include <qvariant.h>
#include <qpushbutton.h>
#include <kpushbutton.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "queryfieldiface.h"

#include <qlabel.h>





class QueryFieldBase : public QWidget
{
	Q_OBJECT

	public:
		QueryFieldBase( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
		~QueryFieldBase();

		KPushButton* number;
		KPushButton* queryFieldAdd;
		KPushButton* queryFieldSub;
		KComboBox* mainField;
		QHBoxLayout* layoutA;
		QSpacerItem* spacer7;

	public slots:
		virtual void slotMainFieldChanged(const QString &);

	protected:

	protected slots:
		virtual void languageChange();

	private:
		QPixmap image0;
		QPixmap image1;

};



#endif

