/***************************************************************************
 *   Copyright (C) 2005 by xavier helluy   *
 *   xavier.helluy@web.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/

#ifndef QUERYFIELDTIME_H
#define QUERYFIELDTIME_H

#include <kdialog.h>
#include <klocale.h>
#include <qvariant.h>
#include <qpushbutton.h>
#include <kpushbutton.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>
#include <libkdepim/kdateedit.h>
#include <libkdepim/ktimeedit.h>

#include "queryfieldiface.h"


#include <qdatetime.h>
#include <qlabel.h>





class QueryFieldTime : public QWidget , virtual public QueryFieldIface
{
	Q_OBJECT

	public:
		QueryFieldTime( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );

		QLabel * min;
		QLabel * sup;
		KDateEdit* minDate;
		KTimeEdit* minTime;
		KDateEdit* maxDate;
		KTimeEdit* maxTime;
		QHBoxLayout* layoutA;
		QSpacerItem* spacer14;
		
		virtual QString getQuery();

	protected slots:

};
#endif
