/***************************************************************************
 *   Copyright (C) 2005 by xavier helluy   *
 *   xavier.helluy@web.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef MARSHALLINGHELPER_H
#define MARSHALLINGHELPER_H
#include <qcstring.h>
#include <qstring.h>
#include <qstringlist.h>

/**
@author xavier helluy
*/
class MarshallingHelper{
public:
    MarshallingHelper();

    ~MarshallingHelper();
    
   static  void undoIt( const QByteArray & array , QString & result);
   static  void undoIt (const QByteArray & array , int & result);
   static  void undoIt (const QByteArray & array , QStringList & result);

   static  void doIt (  QByteArray & array , const  QString & data);
   static  void doIt (  QByteArray & array , const  int & data);
   static  void doIt (  QByteArray & array , const  QStringList & data);
   

};

#endif
