/* This file is part of the KDE libraries
    Copyright (C) 2009 Norbert Frese <nf2.email@gmail.com>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
 */


#ifndef GIOSTORAGEMONITOR_H_
#define GIOSTORAGEMONITOR_H_

#include <glib.h>
#include <gio/gio.h>

#include <kio/kstoragemonitor.h>

class GioStorageMonitor : public KStorageMonitor
{
    Q_OBJECT
public:

    GioStorageMonitor();

    GVolumeMonitor* gVolumeMonitor;

    void _slotAdded(GVolume *gVolume);

    void _slotChanged(GVolume *gVolume);

    void _slotRemoved(GVolume *gVolume);

    void _slotAdded(GMount *gMount);

    void _slotChanged(GMount *gMount);

    void _slotRemoved(GMount *gMount);


};
#endif /* GIOSTORAGEMONITOR_H_ */
