/***************************************************************************
 *   Copyright (C) 2005 by xavier helluy   *
 *   xavier.helluy@web.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/

 
#ifndef QUERYFIELDURL_H
#define QUERYFIELDURL_H

#include <qwidget.h>
#include <klocale.h>
#include <kpushbutton.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <klineedit.h>
#include <qlabel.h>


#include "queryfieldiface.h"
#include <kurlrequester.h>


class QueryFieldURL : public QWidget, virtual public QueryFieldIface
{
	Q_OBJECT

	public:
		QueryFieldURL( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );

		KComboBox* action;
		KURLRequester* query;
		virtual QString getQuery();


	protected:
		QSpacerItem* spacer17;
		QHBoxLayout* layoutA;

	protected slots:
		virtual void languageChange();

};


#endif
