/***************************************************************************
 *   Copyright (C) 2005 by xavier helluy   *
 *   xavier.helluy@web.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef CONVERTERS_H
#define CONVERTERS_H

#include <qstringlist.h>
#include <kio/netaccess.h>
#include <kio/job.h>
#include <kstandarddirs.h>
#include <ktempfile.h>
/**
@author xavier helluy
*/
class Converters{
public:
    Converters();

    ~Converters();
  
    
       int mimePos			(QString mimeType);
       int patternPos		(QString path);
       bool acceptOutputTmpFile	(bool isMime , int id);
       QString getProc		(bool isMime , int id);
       QString getArgs		(bool isMime , int id , QString inputFile , QString outputFile);
       QString getArgs		(bool isMime , int id , QString inputFile );
       QString getOutput		(bool isMime , int id , QString inputFile );

    
    
    QStringList 		m_mimeList;
    QStringList 		m_mimeProc; 
    QStringList 		m_mimeArgs;
    QStringList 		m_mimeOutput;
    QStringList 		m_patternList;
    QStringList 		m_patternProc;
    QStringList 		m_patternArgs;
    QStringList 		m_patternOutput;

};

#endif
