/***************************************************************************
 *   Copyright (C) 2005 by xavier helluy                                   *
 *   xavier.helluy@web.de                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/

 
#include <dcopobject.h>
#include <qstringlist.h>

class KCLuceneIndexerDaemonDCOPIface : virtual public DCOPObject
{
	K_DCOP
			
    k_dcop:
	virtual int doIndex(
	const QString & 		callingClientId,
	const QString &  		indexName,
	const QString &      		indexLocation,
	const bool & 			boolMetaData,	
	const bool &			boolContent,	
	const bool &			boolArchives,
	const bool &			includeSubFolders,
	const bool &			excludeSubFolders,
	const QStringList & 		includeItems,
	const QStringList & 		excludeItems,	
	const bool &			addToIndex,	
	const bool &			eraseIndex,
	const bool &			eraseMedia,
	const bool &			updateIndex,	
	const bool &			syncIndex,	
	const QStringList &		tmpMimeList,
	const QStringList &		tmpMimeProc, 
	const QStringList &		tmpMimeArgs,
	const QStringList &		tmpMimeOutput,
	const QStringList &		tmpPatternList,
	const QStringList &		tmpPatternProc,
	const QStringList &		tmpPatternArgs,
	const QStringList &		tmpPatternOutput,
	const bool & 			tmpText,
	const bool & 			tmpHtml,
	const bool & 			tmpXml,
	const bool &			tmpRestrictMetaData,
	const QString &      		mediaType,
	const QString &      		mediaName
			
			
			    )=0;
	
	
	virtual int deleteHits(
			const QString & 		callingClientId,
			const QString &  		indexName,
			const QString &      		indexLocation,
			const QString &			query
			      )=0;
};
