/***************************************************************************
                          sqloutputfactory.cpp  -  description
                             -------------------
    begin                : Fre Mr 8 2002
    copyright            : (C) 2002 by Harald Fernengel
    email                : harry@kdevelop.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "sqloutputfactory.h"
#include "sqloutputiface.h"
#include "sqloutputhtml.h"
#include "sqloutputtext.h"

SqlOutputIface* SqlOutputFactory::getOutputIface( const QCString& type, const KURL& url, QSqlDatabase* db )
{
  if ( type == "text" ) {
    return new SqlOutputText( url, db );
  } else if ( type == "csv" ) {
    return new SqlOutputCSV( url, db );
  }
  return new SqlOutputHTML( url, db );
}
