/***************************************************************************
                          sqloutputfactory.h  -  description
                             -------------------
    begin                : Fre Mr 8 2002
    copyright            : (C) 2002 by Harald Fernengel
    email                : harry@kdevelop.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SQLOUTPUTFACTORY_H
#define SQLOUTPUTFACTORY_H


#include <qstring.h>
#include <kurl.h>

class QSqlDatabase;
class SqlOutputIface;

class SqlOutputFactory
{
  public:
  /** returns an output interface. If type cannot be found, it falls back to the hard coded
  default (html). Note that you have to delete the SqlOutputIface when you don't need it anymore */
  static SqlOutputIface* getOutputIface( const QCString& type, const KURL& url, QSqlDatabase* db = 0 );

};

#endif
