/***************************************************************************
 *   Copyright (C) 2005 by xavier helluy   *
 *   xavier.helluy@web.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/



#include <dcopobject.h>
#include <qstringlist.h>

class KwestSearchDaemonDCOPIface : virtual public DCOPObject
{
	K_DCOP
    k_dcop:


    // Here you should place your DCOP interface.
    // Below are four example methods.
	
	virtual int  askForNewQuery( const QString newQuery ,const  QString SocketPath , 
				      QStringList indexesPathList , const int MaxResults,
				     const bool html , const bool peer2peer)=0;
	
      
/*		      I think I understand what to do with this 
		      strange dynamic interface/functions
		      maybe it allows be to create an interface 
		      for a given searchQuery, then return the interface
		      from the CallForQuery, and then emit a signal Search
		      finished. But why a signal, not a send/callBack
		      For example, I could return the Id of the last search terminated
		      and how many are still running.
*/
	
};
